commit:     c8426feb5d5baeee68a56069437d65d4b5e8795a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  8 08:25:29 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb  8 08:25:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8426feb

sci-mathematics/coq: bump to 8.13.0

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-mathematics/coq/Manifest          |  1 +
 sci-mathematics/coq/coq-8.13.0.ebuild | 88 +++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/sci-mathematics/coq/Manifest b/sci-mathematics/coq/Manifest
index 6da1223d681..5f43f5d8c7a 100644
--- a/sci-mathematics/coq/Manifest
+++ b/sci-mathematics/coq/Manifest
@@ -1,3 +1,4 @@
 DIST coq-8.12.0.tar.gz 6774001 BLAKE2B 
dc1d6adf9d4bd50d46007fbf5fd43d1ea97b6b226d89ad943419d4cb7df1439950c94b5e3cc614eb789103d1ab50535909d4ba2079eafc2caa4fd91db30e747d
 SHA512 
8a64624c578ce0ab781fb3b1f162bd8b095735ad891fdad2fb7c40849afbdc7c1360187c6b62a5ef2982566f4c6c78029240c611ae769943a5250af300eb1240
+DIST coq-8.13.0.tar.gz 7010242 BLAKE2B 
bf9ec96b6698a2371be3164f65424a8ffb273252afc05e046267cae4265c1be71f89d0345f9e40ab3a93f5063080fd0224502cc0de808c7a0ddbb0edacab5fca
 SHA512 
c355f0a9183f3669debd5f8f4ab96786215d0cccc37d1c2ac95a2d3c6115c8b0ee7ff7e23464b18444e2648ef3f8c221f0f3a28acf91199751cea2b74ee3fe8e
 DIST coq-8.6.1.tar.gz 5588811 BLAKE2B 
1016e54ef9b42a8534add55ab057454fad35b3fe103ba877689489c7d9cf43d76c1fbee123801d91035d353a882120650f94c433d9ee1daa878b8c819609c949
 SHA512 
814ab76a06ca15f927081428da74add4bc67290199fa011853b9c68a00cdefaf813b10fbac18a434f4504fce8f2173eb544080bf6f50d62caa41bb8724b13083
 DIST coq-8.9.1.tar.gz 6001970 BLAKE2B 
f65498e2485c59f4f95d2afeac35750ebf85b5af6db7c269a11635f2414df483d4cb159557060c9118de25f4922176f54d2e5c6f12174599371348341cb4d80f
 SHA512 
66344f801b955d1b6daf3ab1d704551070c95cf9032ae74f15fb33f7ec313812b3e05c0ec277a2eb448e3fdfd9721df06d36612e2fb4928b6530d70147f1d983

diff --git a/sci-mathematics/coq/coq-8.13.0.ebuild 
b/sci-mathematics/coq/coq-8.13.0.ebuild
new file mode 100644
index 00000000000..0bb383826cd
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.13.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop findlib
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/";
+SRC_URI="https://github.com/coq/coq/archive/V${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk debug +ocamlopt doc"
+
+RESTRICT="test"
+
+RDEPEND="
+       dev-ml/zarith
+       || (
+               dev-ml/num
+               <dev-lang/ocaml-4.09.0[ocamlopt?]
+       )
+       gtk? (
+               dev-ml/lablgtk:3=[sourceview,ocamlopt?]
+               dev-ml/lablgtk-sourceview:3=[ocamlopt?]
+       )"
+DEPEND="${RDEPEND}
+       doc? (
+               media-libs/netpbm[png,zlib]
+               virtual/latex-base
+               dev-tex/hevea
+               dev-texlive/texlive-latexrecommended
+               dev-texlive/texlive-pictures
+               dev-texlive/texlive-mathscience
+               dev-texlive/texlive-latexextra
+               )"
+
+src_configure() {
+       ocaml_lib=$(ocamlc -where)
+       local myconf=(
+               -prefix /usr
+               -bindir /usr/bin
+               -libdir /usr/$(get_libdir)/coq
+               -mandir /usr/share/man
+               -coqdocdir /usr/$(get_libdir)/coq/coqdoc
+               -docdir /usr/share/doc/${PF}
+               -configdir /etc/xdg/${PN}
+       )
+
+       use debug && myconf+=( -debug )
+       use doc || myconf+=( -with-doc no )
+
+       if use gtk; then
+               if use ocamlopt; then
+                       myconf+=( -coqide opt )
+               else
+                       myconf+=( -coqide byte )
+               fi
+       else
+               myconf+=( -coqide no )
+       fi
+
+       use ocamlopt || myconf+=( -byte-only )
+
+       export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+       ./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+       emake STRIP="true" -j1 world VERBOSE=1
+}
+
+src_test() {
+       emake STRIP="true" check VERBOSE=1
+}
+
+src_install() {
+       emake STRIP="true" COQINSTALLPREFIX="${D}" install VERBOSE=1
+       dodoc README.md CREDITS
+
+       use gtk && make_desktop_entry "coqide" "Coq IDE" 
"${EPREFIX}/usr/share/coq/coq.png"
+}

Reply via email to